> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Smart Sources

> List SmartSources attached to a given CustomDataSource.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/smart-sources
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/smart-sources:
    get:
      tags:
        - Smart Sources
      summary: List Smart Sources
      description: List SmartSources attached to a given CustomDataSource.
      operationId: core_api_v1_controllers_smart_sources_list_smart_sources
      parameters:
        - in: query
          name: custom_data_source_id
          schema:
            format: uuid
            title: Custom Data Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SmartSourceSummarySchema'
                title: Response
                type: array
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SmartSourceSummarySchema:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        custom_data_source_id:
          format: uuid
          title: Custom Data Source Id
          type: string
        name:
          title: Name
          type: string
        source_type:
          $ref: '#/components/schemas/SmartSourceTypeEnum'
        is_active:
          title: Is Active
          type: boolean
        sync_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Status
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        next_sync_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Sync At
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - custom_data_source_id
        - name
        - source_type
        - is_active
        - sync_status
        - last_synced_at
        - next_sync_at
        - created_at
      title: SmartSourceSummarySchema
      type: object
    SmartSourceTypeEnum:
      enum:
        - api
        - s3
        - sharepoint
      title: SmartSourceTypeEnum
      type: string
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````